Package org.apache.sling.scripting.sightly.impl.compiler.optimization.reduce

## Class EvalResult

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.optimization.reduce.EvalResult

    public final class EvalResult
    extends Object

Data structure used in expression reducing

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EvalResult` `constant​(Object obj)`
`ExpressionNode` `getNode()`
`Object` `getValue()`
`boolean` `isConstant()`
`static EvalResult` `nonConstant​(ExpressionNode node)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### constant

    public static EvalResult constant​(Object obj)

#### nonConstant

    public static EvalResult nonConstant​(ExpressionNode node)

#### isConstant

    public boolean isConstant()

#### getValue

    public Object getValue()

#### getNode

    public ExpressionNode getNode()